<template>
  <div class="sw-gs-login-page">
    <h1 class="sw-gs-login-page-header">
      <template v-if="isGuide">
        {{ $t('Login as guide') }}
      </template>
      <template v-else>
        {{ $t('Login to watch the presentation') }}
      </template>
    </h1>

    <div class="sw-gs-login-page-content">
      <SwGsGuideLoginForm v-if="isGuide"/>
      <SwGsClientLoginForm v-else/>
    </div>
  </div>
</template>

<script>
  import SwGsGuideLoginForm from '../SwGsGuideLoginForm.vue';
  import SwGsClientLoginForm from '../SwGsClientLoginForm.vue';

  export default {
    name: "SwGsLoginPage",
    components: {
      SwGsGuideLoginForm,
      SwGsClientLoginForm
    },
    props: {
      isGuide: {
        type: Boolean,
        default: false,
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";
  @import "../../assets/scss/mixins/mediaQueries";

  .sw-gs-login-page {
    position: relative;
    margin: var(--spacer-xl) auto;
    max-width: 630px;
  }

  .sw-gs-login-page-header {
    margin-bottom: var(--spacer-xl);
    padding: 0 var(--spacer-sm);
    text-align: center;

    @include for-desktop-big {
      padding: 0 var(--spacer-base);
    }
  }

  .sw-gs-login-page-content {
    padding: 0 var(--spacer-sm);
  }
</style>
